Skip to main content
`Ctrl`+`K`

# PCBJacobiGetTotalBlocks

Gets the global number of blocks for the block Jacobi, `PCBJACOBI`, preconditioner.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBJacobiGetTotalBlocks(PC pc, PetscInt *blocks, const PetscInt *lens[])

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameters

- blocks - the number of blocks

- lens - integer array containing the size of each block

## See Also

KSP: Linear System Solvers, `PCBJACOBI`, `PCSetUseAmat()`, `PCBJacobiGetLocalBlocks()`

## Level

intermediate

## Location

src/ksp/pc/impls/bjacobi/bjacobi.c

## Implementations

PCBJacobiGetTotalBlocks_BJacobi() in src/ksp/pc/impls/bjacobi/bjacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages